{
  imports = [
    # Base configs
    ./modules/base.nix
    ./users/jimbo.nix

    # Desktop only
    ./desktop/misc.nix
    ./desktop/sway.nix
    ./desktop/printing.nix
    ./desktop/gaming.nix
    ./desktop/pipewire.nix
    ./desktop/bluetooth.nix
    ./desktop/firewall.nix
    ./desktop/fonts.nix

    # Modules
    ./modules/security.nix

    # Hardware
    ./hardware/machines/desktop.nix
    ./hardware/systemdboot.nix
    ./hardware/nvidia.nix
    ./hardware/opengl.nix

    # Services
    ./services/openssh.nix
    ./services/virtualisation.nix
    ./services/udev.nix
    ./services/sunshine.nix
    ./services/mpd.nix
  ];

  networking.hostName = "JimDesktop";
}
